#ifndef EXIT_CODES_H
#define EXIT_CODES_H
/* this code is protected by the GNU affero GPLv3
   author:Sylvain BERTRAND <sylvain DOT bertrand AT legeek DOT net> */
#define SRV_SOCK_SETUP_EPOLL_CTL_ADD_FAILURE			1
#define CNXS_CONSUME_ACCEPT_GENERIC_FAILURE			2 
#define CNXS_CONSUME_ACCEPT_WRONG_PEER				3
#define SIGS_CONSUME_SIGINFO_READ_FAILURE			4
#define MAIN_LOOP_EPOLL_WAIT_GENERIC_FAILURE			5
#define MAIN_LOOP_EPOLL_WAIT_SIGS_FD_EVENT_IS_NOT_EPOLLIN	6
#define MAIN_LOOP_EPOLL_WAIT_SRV_SOCK_UNEXPECTED_EVENT		7
#define MAIN_LOOP_EPOLL_WAIT_SRV_SOCK_UNKNOWN_FAILURE		8
#define SRV_SOCK_CREATE_FAILURE					9
#define SRV_SOCK_SET_SOCK_OPTION_FAILURE			10
#define SRV_SOCK_BIND_FAILURE					11
#define SRV_SOCK_LISTEN_FAILURE					12
#define EPOLL_SIGS_SETUP_EPOLL_ADD_FAILURE			13
#define SIGS_SETUP_BLOCKING_FAILURE				14
#define SIGS_SETUP_HANDLERS_FAILURE				15
#define SETUP_EPOLL_CREATE_FAILURE				16
#define CHROOT_FAILURE						17
#define CHDIR_FAILURE						18
#define RCV_PAGE_MMAP_FAILURE					19
#endif
